Cantera 2.6.0

Namespaces | Macros | Typedefs | Functions
CVodesIntegrator.cpp File Reference
`#include "cantera/numerics/CVodesIntegrator.h"`
`#include "cantera/base/stringUtils.h"`
`#include <iostream>`
`#include "sundials/sundials_types.h"`
`#include "sundials/sundials_math.h"`
`#include "sundials/sundials_nvector.h"`
`#include "nvector/nvector_serial.h"`
`#include "cvodes/cvodes.h"`
`#include "cvodes/cvodes_dense.h"`
`#include "cvodes/cvodes_band.h"`
`#include "cvodes/cvodes_diag.h"`
`#include "cvodes/cvodes_spgmr.h"`
Include dependency graph for CVodesIntegrator.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Macros
#define | CV_SS 1
#define | CV_SV 2

## Typedefs
typedef int | sd_size_t

## Functions
static int | cvodes_rhs (realtype t, N_Vector y, N_Vector ydot, void *f_data)
| Function called by cvodes to evaluate ydot given y. More...
static void | cvodes_err (int error_code, const char *module, const char *function, char *msg, void *eh_data)
| Function called by CVodes when an error is encountered instead of writing to stdout. More...

## Macro Definition Documentation

## ◆ CV_SS

#define CV_SS 1

Definition at line 40 of file CVodesIntegrator.cpp.

## ◆ CV_SV

#define CV_SV 2

Definition at line 41 of file CVodesIntegrator.cpp.

## Typedef Documentation

## ◆ sd_size_t

typedef int sd_size_t

Definition at line 44 of file CVodesIntegrator.cpp.